This is post is now quite old and the the information it contains may be out of date or innacurate.

If you find any errors or have any suggestions to update the information please let us know or create a pull request on GitHub

For some reason the upgrade seems to have installed Apache which then conflicts with my XAMPP apache.

This prevents me from starting the XAMPP apache. To fix this simply search for apache in Synaptic package manager and uninstall it. XAMPP apache should then start fine.